#ifndef MYSTICREALMS_H
#define MYSTICREALMS_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include "../VDEngine/VDWindow.h"
#include "../VDEngine/VDDirect3D.h"
#include "../VDEngine/VDInput.h"
#include "../VDEngine/VDWorld.h"
#include "../VDEngine/VDPlayer.h"
#include <time.h>

/* **********************************************************************************************************************
   Linked Libraries
   **********************************************************************************************************************/

#pragma comment(lib, "VDEngine.lib")



/* **********************************************************************************************************************
   MysticRealms
   **********************************************************************************************************************/

class MysticRealms {
public:
    MysticRealms(); 
    ~MysticRealms();

    void Run(HINSTANCE instance);
private:
    typedef enum GameState {
        VD_TITLE,
        VD_GAMEWORLD,
        VD_GAMEBATTLE,
        VD_EXIT
    };
    enum KeyChoice {
        VD_NONE,
        VD_LEFT,
        VD_RIGHT,
        VD_UP,
        VD_DOWN,
        VD_ESCAPE
    };

        short gameRunning;  // TRUE or FALSE status of game loop
    GameState gameState;    // current state of the game
};



#endif  // MYSTICREALMS_H