#ifndef VDNPC_H
#define VDNPC_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include <list>
#include "VDEntity.h"
#include "VDDialogue.h"
using namespace std;



/* **********************************************************************************************************************
   VDNPC
   **********************************************************************************************************************/

class VDNPC : public VDEntity {
public:
    VDNPC(LPCTSTR aName);
    virtual ~VDNPC();

    void Move();
    void AddDialogue(int id, char *text, int next);
private:
    list<VDDialogue> dialogue;
};



#endif  // VDNPC_H