#ifndef VDNPCEDITOR_H
#define VDNPCEDITOR_H



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include <windows.h>
#include "VDSprite.h"
#include "VDError.h"
#include "Resource.h"



/* **********************************************************************************************************************
   VDNPCEditor
   **********************************************************************************************************************/

class VDNPCEditor {
public:
    VDNPCEditor();
    ~VDNPCEditor();

    HWND CreateNPCEditor(HINSTANCE instance, LPCSTR className);

         HWND GetWindow();
         HWND GetNPCNameStatic();
         HWND GetNPCNameEditBox();
         HWND GetLoadSpriteButton();
    VDSprite* GetNPCSprite();
         void SetNPCSprite(VDSprite *newSprite);
       LPRECT GetNPCSpriteDimensions(LPRECT outRect);
private:
         HWND window;
         HWND npcNameStatic;
         HWND npcNameEditBox;
         HWND loadSpriteButton;
    VDSprite* npcSprite;
         RECT npcSpriteDimensions;
};



#endif  // VDNPCEDITOR_H