#ifndef VDINPUT_H
#define VDINPUT_H



/* **********************************************************************************************************************
   Macro Definitions
   **********************************************************************************************************************/

#define DIRECTINPUT_VERSION 0x0800



/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include <dinput.h>



/* **********************************************************************************************************************
   Linked Libraries
   **********************************************************************************************************************/

#pragma comment(lib, "dinput8.lib")
#pragma comment(lib, "dxguid.lib")



/* **********************************************************************************************************************
   VDInput
   **********************************************************************************************************************/

class VDInput {
public:
    VDInput();
    ~VDInput();

    void InitializeInput(HINSTANCE instance);
    void InitializeKeyboard(HWND window);
    void InitializeMouse(HWND window);
    void RetrieveLostInput();
    void UpdateInput();

           BYTE* GetKeyboardInput();
    DIMOUSESTATE GetMouseInput();
protected:
private:
          LPDIRECTINPUT8 directInput;
    LPDIRECTINPUTDEVICE8 keyboard;
    LPDIRECTINPUTDEVICE8 mouse;
                    BYTE keys[256];
            DIMOUSESTATE mouseState;
};



#endif