/* **********************************************************************************************************************
   Included Header Files
   **********************************************************************************************************************/

#include "VDNPC.h"



/* **********************************************************************************************************************
   Constructor
   **********************************************************************************************************************/

VDNPC::VDNPC(LPCTSTR aName) {
    name = aName;
};



/* **********************************************************************************************************************
   Destructor
   **********************************************************************************************************************/

VDNPC::~VDNPC() {
};



/* **********************************************************************************************************************
   Move
   ----
   Moves the NPC in a random direction.
   **********************************************************************************************************************/

void VDNPC::Move() {
    int direction = 0;

    // randomize movement
    direction = rand() % 5;

    // move the NPC
    switch (direction) {
        case 0:
            currentLocationX += 0;
            currentLocationY += 0;
            break;
        case 1:
            currentLocationX -= 1;
            break;
        case 2:
            currentLocationX += 1;
            break;
        case 3:
            currentLocationY -= 1;
            break;
        case 4:
            currentLocationY += 1;
            break;
        default:
            currentLocationX += 0;
            currentLocationY += 0;
            break;
    };
};



void VDNPC::AddDialogue(int id, char *text, int next) {
    VDDialogue newDialogue = VDDialogue(id, text, next);
    dialogue.push_back(newDialogue);
};

/* **********************************************************************************************************************
   Accessors and Modifiers
   **********************************************************************************************************************/

